<?php
/**
 * Visite Virtuelle Template
 *
 * @package Immowp_Gestion_Immobiliere
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="iwp__block iwp__block-visite iwp__card">
	<div class="iwp__card-header">
		<h2><?php esc_html_e( 'Visite virtuelle', 'immowp-gestion-immobiliere' ); ?></h2>
	</div>
	<div class="iwp__card-body">
	<?php

			$immowp_url = trim( get_post_meta( get_the_ID(), 'visiteVirtuelle', true ) );

			$immowp_matterportRegex = '/my.matterport.com\/models\/([a-zA-Z0-9_]+)/i';
			$immowp_shortUrlRegex   = '/youtu.be\/([a-zA-Z0-9_-]+)\??/i';
			$immowp_longUrlRegex    = '/youtube.com\/((?:embed)|(?:watch))((?:\?v\=)|(?:\/))(\w+)/i';

	if ( preg_match( $immowp_longUrlRegex, $immowp_url, $immowp_matches ) ) {
		$immowp_youtube_id = $immowp_matches[ count( $immowp_matches ) - 1 ];
		$immowp_url        = 'https://www.youtube.com/embed/' . $immowp_youtube_id;
	}

	if ( preg_match( $immowp_shortUrlRegex, $immowp_url, $immowp_matches ) ) {
		$immowp_youtube_id = $immowp_matches[ count( $immowp_matches ) - 1 ];
		$immowp_url        = 'https://www.youtube.com/embed/' . $immowp_youtube_id;
	}

	if ( preg_match( $immowp_matterportRegex, $immowp_url, $immowp_matches ) ) {
		$immowp_matterport_id = $immowp_matches[ count( $immowp_matches ) - 1 ];
		$immowp_url           = 'https://my.matterport.com/show/?m=' . $immowp_matterport_id;
	}

	?>

		<iframe
			title="Visite virtuelle"
			width="700"
			height="400"
			src="<?php echo esc_url( $immowp_url ); ?>">
		</iframe>

	</div>
</div>
